Omniplex Docs

Health

Lightweight per-subsystem health checks for external uptime monitoring. Each returns 200 when healthy and 503 when not — no response body needed.

Health: API

GET
/health/api

Returns 200 if API is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/api'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: API

HEAD
/health/api

Returns 200 if API is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/api'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Bot Listings

GET
/health/bots

Returns 200 if Bot Listings is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/bots'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Bot Listings

HEAD
/health/bots

Returns 200 if Bot Listings is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/bots'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Server Listings

GET
/health/servers

Returns 200 if Server Listings is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/servers'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Server Listings

HEAD
/health/servers

Returns 200 if Server Listings is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/servers'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Pack Listings

GET
/health/packs

Returns 200 if Pack Listings is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/packs'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Pack Listings

HEAD
/health/packs

Returns 200 if Pack Listings is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/packs'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Server Templates

GET
/health/server-templates

Returns 200 if Server Templates is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/server-templates'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Server Templates

HEAD
/health/server-templates

Returns 200 if Server Templates is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/server-templates'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Themes

GET
/health/themes

Returns 200 if Themes is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/themes'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Themes

HEAD
/health/themes

Returns 200 if Themes is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/themes'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Blog Service

GET
/health/blogs

Returns 200 if Blog Service is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/blogs'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Blog Service

HEAD
/health/blogs

Returns 200 if Blog Service is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/blogs'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Search Service

GET
/health/search

Returns 200 if Search Service is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/search'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Search Service

HEAD
/health/search

Returns 200 if Search Service is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/search'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Discord Auth

GET
/health/auth

Returns 200 if Discord Auth is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/auth'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Discord Auth

HEAD
/health/auth

Returns 200 if Discord Auth is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/auth'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Support Tickets

GET
/health/tickets

Returns 200 if Support Tickets is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/tickets'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Support Tickets

HEAD
/health/tickets

Returns 200 if Support Tickets is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/tickets'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Staff Panel

GET
/health/staff-panel

Returns 200 if Staff Panel is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/staff-panel'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Staff Panel

HEAD
/health/staff-panel

Returns 200 if Staff Panel is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/staff-panel'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Database

GET
/health/database

Returns 200 if Database is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/database'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Database

HEAD
/health/database

Returns 200 if Database is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/database'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Infernoplex

GET
/health/infernoplex

Returns 200 if Infernoplex is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/infernoplex'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Infernoplex

HEAD
/health/infernoplex

Returns 200 if Infernoplex is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/infernoplex'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Arcadia

GET
/health/arcadia

Returns 200 if Arcadia is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X GET 'https://spider.omniplex.gg/health/arcadia'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Health: Arcadia

HEAD
/health/arcadia

Returns 200 if Arcadia is healthy, 503 if not. No response body to parse status code is the signal.

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X HEAD 'https://spider.omniplex.gg/health/arcadia'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}